@import "reset.css";
@import "sprite.css";
@import "social-network.css";

* {
  box-sizing: border-box;
}

.container {
  min-height: 100vh;
  font-family: 'Ubuntu', sans-serif;
  background: url(../img/background.jpg) no-repeat;
  background-size: cover;
}

.header {
  display: flex;
  align-items: center;
  padding: 18px 106px;
  color: white;
  background: rgba(0, 0, 0, 0.4);
}

.logo-title {
  margin-right: auto;
  font-size: 22px;
  font-weight: bold;
  text-transform: uppercase;
}

.welcome {
  font-size: 14px;
}

.welcome::before {
  content: "";
  margin-right: 28px;
  height: 19px;
  border-left: 1px solid rgba(255, 255, 255, 0.5);
}

.highlighted:hover {
  transition: 1s ease;
  color: #3CB878;
}

.form-container {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: calc(100vh - 58px);
  overflow: auto;
}

.form {
  position: relative;
  max-width: 444px;
  padding: 30px 60px;
  border-radius: 4px;
  font-size: 14px;
  background-color: white;
}

.form::before {
  content: "";
  position: absolute;
  left: 0;
  top: 30px;
  width: 18px;
  height: 18px;
  background-color: #3CB878;
}

.emphasized {
  color: #3CB878;
}

.form-header,
.form-links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 18px;
}

.form-sign-up {
  font-size: 20px;
  color: #434343;
}

.separator {
  display: block;
  margin-top: 21px;
  margin-bottom: 16px;
  position: relative;
  color: #848484;
  text-align: center;
}

.separator::before,
.separator::after {
  content: "";
  display: block;
  position: absolute;
  width: 140px;
  height: 1px;
  background: rgba(0, 0, 0, 0.1);
}

.separator::before {
  left: 0px;
  top: 9px;
}

.separator::after {
  left: 182px;
  top: 9px;
}

.form-input,
.btn {
  margin-bottom: 9px;
  padding: 13px 18px;
  width: 100%;
  min-height: 46px;
  border: 1px solid #F2F2F2;
  border-radius: 4px;
}

.checkbox-container {
  margin-top: 9px;
  margin-bottom: 26px;
}

.checkbox-label {
  display: inline-block;
  vertical-align: middle;
}

.checkbox {
  display: none;
}

.fake-checkbox {
  display: inline-block;
  vertical-align: middle;
  margin-right: 10px;
  position: relative;
  width: 20px;
  height: 20px;
  border: 1px solid #F2F2F2;
}

.fake-checkbox::before {
  content: url(../img/checkbox.svg);
  position: absolute;
  left: 2px;
  opacity: 0;
}

.checkbox:checked+.fake-checkbox::before {
  opacity: 1;
}

.btn {
  margin-bottom: 0;
  font-size: 16px;
  color: white;
  background-color: #3CB878;
}

.form-input:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

::-moz-placeholder {
  color: #BEBEBE;
}

::-webkit-input-placeholder {
  font-size: 14px;
  color: #BEBEBE;
}